lzma_lz_options Struct Reference

## Data Fields

size_t | dict_size
| Size of the history buffer. More...
const uint8_t * | preset_dict
| TODO: Comment. More...
size_t | preset_dict_size
size_t | before_size
size_t | after_size
size_t | match_len_max
size_t | nice_len
lzma_match_finder | match_finder
| Type of the match finder to use. More...
uint32_t | depth
| Maximum search depth. More...
uint32_t | preset_dict_size

## Field Documentation

## dict_size

size_t lzma_lz_options::dict_size

Size of the history buffer.

## preset_dict

const uint8_t * lzma_lz_options::preset_dict

TODO: Comment.

## before_size

size_t lzma_lz_options::before_size

Extra amount of data to keep available before the "actual" dictionary.

## after_size

size_t lzma_lz_options::after_size

Extra amount of data to keep available after the "actual" dictionary.

## match_len_max

size_t lzma_lz_options::match_len_max

Maximum length of a match that the LZ-based encoder can accept. This is used to extend matches of length nice_len to the maximum possible length.

## nice_len

size_t lzma_lz_options::nice_len

Match finder will search matches up to this length. This must be less than or equal to match_len_max.

## match_finder

lzma_match_finder lzma_lz_options::match_finder

Type of the match finder to use.

## depth

uint32_t lzma_lz_options::depth

Maximum search depth.

The documentation for this struct was generated from the following files:

- liblzma/lz/lz_decoder.h
- liblzma/lz/lz_encoder.h